summaryrefslogtreecommitdiff
path: root/mysql-test
diff options
context:
space:
mode:
authorunknown <serg@serg.mylan>2003-11-25 14:43:15 +0100
committerunknown <serg@serg.mylan>2003-11-25 14:43:15 +0100
commit271502ffbf59fb47c6df173015debd5224c574e2 (patch)
tree03418019597e2e5e313653b448a8a528c448a58f /mysql-test
parentfbe6f32ae27019ef4f7437fd209826e879d87920 (diff)
downloadmariadb-git-271502ffbf59fb47c6df173015debd5224c574e2.tar.gz
mysql-test-run fixes:
libexec support in install_test_db --start-from in mysql-test-run mysql-test/install_test_db.sh: libexec support in install_test_db mysql-test/mysql-test-run.sh: --start-from in mysql-test-run
Diffstat (limited to 'mysql-test')
-rw-r--r--mysql-test/install_test_db.sh11
-rw-r--r--mysql-test/mysql-test-run.sh6
2 files changed, 15 insertions, 2 deletions
diff --git a/mysql-test/install_test_db.sh b/mysql-test/install_test_db.sh
index ca6d393e3b4..d8bdd91c59f 100644
--- a/mysql-test/install_test_db.sh
+++ b/mysql-test/install_test_db.sh
@@ -12,11 +12,13 @@ if [ x$1 = x"-bin" ]; then
BINARY_DIST=1
fix_bin=mysql-test
scriptdir=../bin
+ libexecdir=../libexec
else
execdir=../sql
bindir=../client
fix_bin=.
scriptdir=../scripts
+ libexecdir=../libexec
fi
vardir=var
@@ -36,8 +38,13 @@ EXTRA_ARG=""
if test ! -x $execdir/mysqld
then
- echo "mysqld is missing - looked in $execdir"
- exit 1
+ if test ! -x $libexecdir/mysqld
+ then
+ echo "mysqld is missing - looked in $execdir and in $libexecdir"
+ exit 1
+ else
+ execdir=$libexecdir
+ fi
fi
# On IRIX hostname is in /usr/bsd so add this to the path
diff --git a/mysql-test/mysql-test-run.sh b/mysql-test/mysql-test-run.sh
index c343f313d47..f896f7fa9cc 100644
--- a/mysql-test/mysql-test-run.sh
+++ b/mysql-test/mysql-test-run.sh
@@ -229,6 +229,7 @@ while test $# -gt 0; do
--local) USE_RUNNING_SERVER="" ;;
--extern) USE_RUNNING_SERVER="1" ;;
--tmpdir=*) MYSQL_TMP_DIR=`$ECHO "$1" | $SED -e "s;--tmpdir=;;"` ;;
+ --start-from=*) START_FROM=`$ECHO "$1" | $SED -e "s;--start-from=;;"` ;;
--local-master)
MASTER_MYPORT=3306;
EXTRA_MYSQL_TEST_OPT="$EXTRA_MYSQL_TEST_OPT --host=127.0.0.1 \
@@ -1185,6 +1186,11 @@ run_testcase ()
fi
fi
+ if [ "$tname" '<' "$START_FROM" ] ; then
+# skip_test $tname;
+ return;
+ fi
+
if [ -n "$DO_TEST" ] ; then
DO_THIS_TEST=`$EXPR \( $tname : "$DO_TEST" \) != 0`
if [ x$DO_THIS_TEST = x0 ] ;